Pre-release

GSI-OpenSSH_7.5p1-HPN_14v13-ISSHD_3.19.1

@ysvenkat ysvenkat released this Jun 13, 2017 · 12 commits to master since this release

New release based on OpenSSH 7.5p1, HPN 14v13 and ISSHD 3.19.1

Significant changes in OpenSSH 7.5p1 since OpenSSH 7.3p1 include:

  • removal of server support for the SSH v.1 protocol.
  • deprecation of the sshd_config UsePrivilegeSeparation option, thereby making privilege separation mandatory.
  • removal of support for building against OpenSSL versions prior to 1.0.1.

Please see the release notes for OpenSSH 7.4 and OpenSSH 7.5 for more details.

NOTE: This is a pre-release and so is NOT for Production use. Canonical releases for Production use are available through the Globus Toolkit.

GSI-OpenSSH_7.3p1b-HPN_14v12-ISSHD_3.19.1

@ysvenkat ysvenkat released this Mar 27, 2017 · 331 commits to master since this release

Changes since 7.3p1a release:

  • Older GSI-OpenSSH servers (such as OpenSSH_6.4p1-hpn14v1 GSI_GSSAPI_GPT_5.7 GSI) terminate connection with GSS_C_CONF_FLAG set. So, it will now be set only on the user setting GSISSH_FORCE_CONF_FLAG in the environment. This will only be needed when a gsissh client running on CentOS (OpenSSL 1.0.1e build 48 bug https://bugs.centos.org/view.php?id=12959 ) attempts to connect to a GSISSH service that only supports the new MICv2 (OpenSSL 1.1) or when a gsissh client that only supports the new MICv2 (OpenSSL 1.1) connects to a gsissh service running on CentOS (OpenSSL 1.0.1e build 48 bug https://bugs.centos.org/view.php?id=12959 ).

NOTE: This is a pre-release and so is NOT for Production use. Canonical releases for Production use are available through the Globus Toolkit.

GSI-OpenSSH_7.1p2j-HPN_14v10-ISSHD_3.19.1

@ysvenkat ysvenkat released this Mar 27, 2017 · 1253 commits to master since this release

Changes since 7.1p2i release:

  • Older GSI-OpenSSH servers (such as OpenSSH_6.4p1-hpn14v1 GSI_GSSAPI_GPT_5.7 GSI) terminate connection with GSS_C_CONF_FLAG set. So, it will now be set only on the user setting GSISSH_FORCE_CONF_FLAG in the environment. This will only be needed when a gsissh client running on CentOS (OpenSSL 1.0.1e build 48 bug https://bugs.centos.org/view.php?id=12959 ) attempts to connect to a GSISSH service that only supports the new MICv2 (OpenSSL 1.1) or when a gsissh client that only supports the new MICv2 (OpenSSL 1.1) connects to a gsissh service running on CentOS (OpenSSL 1.0.1e build 48 bug https://bugs.centos.org/view.php?id=12959 ).

NOTE: This is a pre-release and so is NOT for Production use. Canonical releases for Production use are available through the Globus Toolkit.

GSI-OpenSSH_7.3p1a-HPN_14v12-ISSHD_3.19.1

@ysvenkat ysvenkat released this Mar 23, 2017 · 340 commits to master since this release

Changes since GSI-OpenSSH 7.1p2i:

  • Upgrade to OpenSSH 7.3p1 and HPN 14v12
  • Include Fedora patch for compatibility with OpenSSL 1.1 per #14

NOTE: This is a pre-release and so is NOT for Production use. Canonical releases for Production use are available through the Globus Toolkit.

GSI-OpenSSH_7.1p2i-HPN_14v10-ISSHD_3.19.1

@ysvenkat ysvenkat released this Mar 17, 2017 · 1253 commits to master since this release

  • Setting GSS_C_CONF_FLAG to get around the issue of SSL_export_keying_material not returning correct key material on CentOS6 with OpenSSL 1.0.1e build 48. See: globus/globus-toolkit#92

NOTE: This is a pre-release and so is NOT for Production use. Canonical releases for Production use are available through the Globus Toolkit.